#include "Salamander.h"
#include "Line.h"

namespace Salamander
{

defineUniqueId(Line);
Line::Line()
{
	depth_ = 4.0f;
}

Line::~Line()
{
}

void Line::setDepth(double depth)
{
	depth_ = depth;
}

double Line::getDepth()
{
	return depth_;
}

double Line::momentOfInertia()
{
	return DBL_MAX;
}

bool Line::isPointInside(Vec2 point)
{
	// a point can't be inside a line!
	return false;
}

}
